Dahdi issue Asterisk 1.8


#1

Hi all

I’m a complete newbie here. We’re running asterisk 1.8 on CentOS6 at work and we have a Digium Wildcard TDM2400P. We had dahdi working fine till friday when I ran a “yum update” and it updated asterisk18-core and now when I check the logs I see:

loader.c: Module 'chan_dahdi.so' was not compiled with the same compile-time options as this version of Asterisk. [Dec 6 11:27:26] WARNING[5142] loader.c: Module 'chan_dahdi.so' will not be initialized as it may cause instability. [Dec 6 11:27:26] WARNING[5142] loader.c: Module 'chan_dahdi.so' could not be loaded.

What other conf or log files would help? Can anyone help me?


#2

maybe you install also a new kernel on your yum update.
:question: :question: :question: :question: :question:
i will keep configuration file and i will do a brand new install of asterisk (libpri - dahdi - asterisk)

install also the new kernel develop package of your new kernel.

try try try


#3

Hi

It’s quite possible that a new kernel was installed. I will attempt to do a new asterisk install this evening. Unfortunately this PBX is currently in use and I don’t want to mess with the current config and existing calls.